package com.heyu.api.data.entity.ota;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*OTA固件版本信息表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("ota_version_info")
public class OtaVersionInfoEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.ota.OtaVersionInfoEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                           // 
    public final static String is_delete = CLASS_NAME + "is_delete";              // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";          // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";          // 修改时间
    public final static String version_ = CLASS_NAME + "version";                 // 当前版本
    public final static String device_type = CLASS_NAME + "device_type";          // 设备类型：0 果Box 1智能插座 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 1000秋果box配置App
    public final static String device_bath_id = CLASS_NAME + "device_bath_id";    // 对应的批次
    public final static String max_version = CLASS_NAME + "max_version";          // 支持升级的最大版本
    public final static String min_version = CLASS_NAME + "min_version";          // 支持升级的最小版本
    public final static String is_force = CLASS_NAME + "is_force";                // 是否强制升级
    public final static String dowload_url = CLASS_NAME + "dowload_url";          // 固件下载地址
    public final static String md5_ = CLASS_NAME + "md5";                         // 固件完整性校验码
    public final static String remark_ = CLASS_NAME + "remark";                   // 升级说明
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //当前版本
    private String version;
    //设备类型：0 果Box 1智能插座 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 1000秋果box配置App
    private Integer deviceType;
    //对应的批次
    private Long deviceBathId;
    //支持升级的最大版本
    private String maxVersion;
    //支持升级的最小版本
    private String minVersion;
    //是否强制升级
    private Integer isForce;
    //固件下载地址
    private String dowloadUrl;
    //固件完整性校验码
    private String md5;
    //升级说明
    private String remark;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 当前版本 
     * @return
     */
    public String getVersion() {
        return version;
    }
    /**
     * 当前版本 
     * @param version
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * 设备类型：0 果Box 1智能插座 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 1000秋果box配置App 
     * @return
     */
    public Integer getDeviceType() {
        return deviceType;
    }
    /**
     * 设备类型：0 果Box 1智能插座 2智能大灯 3智能窗帘驱动 4智能窗户关闭 5智能台灯 6智能桌子 7智能椅子 8智能风扇 9智能空调（遥控器） 10智能冰箱 11智能洗碗机 12智能电热水器 13温度传感器 14空气质量传感器 15光线传感器 16雨量传感器 17闭门器 1000秋果box配置App 
     * @param deviceType
     */
    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    /**
     * 对应的批次 
     * @return
     */
    public Long getDeviceBathId() {
        return deviceBathId;
    }
    /**
     * 对应的批次 
     * @param deviceBathId
     */
    public void setDeviceBathId(Long deviceBathId) {
        this.deviceBathId = deviceBathId;
    }

    /**
     * 支持升级的最大版本 
     * @return
     */
    public String getMaxVersion() {
        return maxVersion;
    }
    /**
     * 支持升级的最大版本 
     * @param maxVersion
     */
    public void setMaxVersion(String maxVersion) {
        this.maxVersion = maxVersion;
    }

    /**
     * 支持升级的最小版本 
     * @return
     */
    public String getMinVersion() {
        return minVersion;
    }
    /**
     * 支持升级的最小版本 
     * @param minVersion
     */
    public void setMinVersion(String minVersion) {
        this.minVersion = minVersion;
    }

    /**
     * 是否强制升级 
     * @return
     */
    public Integer getIsForce() {
        return isForce;
    }
    /**
     * 是否强制升级 
     * @param isForce
     */
    public void setIsForce(Integer isForce) {
        this.isForce = isForce;
    }

    /**
     * 固件下载地址 
     * @return
     */
    public String getDowloadUrl() {
        return dowloadUrl;
    }
    /**
     * 固件下载地址 
     * @param dowloadUrl
     */
    public void setDowloadUrl(String dowloadUrl) {
        this.dowloadUrl = dowloadUrl;
    }

    /**
     * 固件完整性校验码 
     * @return
     */
    public String getMd5() {
        return md5;
    }
    /**
     * 固件完整性校验码 
     * @param md5
     */
    public void setMd5(String md5) {
        this.md5 = md5;
    }

    /**
     * 升级说明 
     * @return
     */
    public String getRemark() {
        return remark;
    }
    /**
     * 升级说明 
     * @param remark
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "OtaVersionInfoEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",version=" + version +
                ",deviceType=" + deviceType +
                ",deviceBathId=" + deviceBathId +
                ",maxVersion=" + maxVersion +
                ",minVersion=" + minVersion +
                ",isForce=" + isForce +
                ",dowloadUrl=" + dowloadUrl +
                ",md5=" + md5 +
                ",remark=" + remark +
                "}";
    }
}